- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Blis-0.91.2/CoinUtils/src/CoinModelUseful.hpp File Reference

`#include <cmath>`
`#include <cassert>`
`#include <cfloat>`
`#include <cstring>`
`#include <cstdio>`
`#include <iostream>`
`#include "CoinPragma.hpp"`
`#include "CoinFinite.hpp"`

Include dependency graph for CoinModelUseful.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CoinModelLink
| for going through row or column More...
struct | CoinModelTriple
| for linked lists More...
struct | CoinModelHashLink
| for names and hashing More...
struct | symrec
| For string evaluation. More...
class | CoinYacc
class | CoinModelHash
class | CoinModelHash2
| For int,int hashing. More...
class | CoinModelLinkedList
## Typedefs
typedef double(*) | func_t (double)
typedef symrec | symrec
## Functions
int | rowInTriple (const CoinModelTriple &triple)
void | setRowInTriple (CoinModelTriple &triple, int iRow)
bool | stringInTriple (const CoinModelTriple &triple)
void | setStringInTriple (CoinModelTriple &triple, bool string)
void | setRowAndStringInTriple (CoinModelTriple &triple, int iRow, bool string)

## Typedef Documentation

typedef double(*) func_t(double)

Definition at line 131 of file CoinModelUseful.hpp.

typedef struct symrec symrec

Definition at line 147 of file CoinModelUseful.hpp.

## Function Documentation

int rowInTriple | ( | const CoinModelTriple & | triple | ) | `[inline]`

Definition at line 113 of file CoinModelUseful.hpp.

References CoinModelTriple::row.

void setRowInTriple | ( | CoinModelTriple & | triple,
|  | int | iRow |
| ) |  |  | `[inline]`

Definition at line 115 of file CoinModelUseful.hpp.

References CoinModelTriple::row.

bool stringInTriple | ( | const CoinModelTriple & | triple | ) | `[inline]`

Definition at line 117 of file CoinModelUseful.hpp.

References CoinModelTriple::row.

void setStringInTriple | ( | CoinModelTriple & | triple,
|  | bool | string |
| ) |  |  | `[inline]`

Definition at line 119 of file CoinModelUseful.hpp.

References CoinModelTriple::row.

void setRowAndStringInTriple | ( | CoinModelTriple & | triple,
|  | int | iRow,
|  | bool | string |
| ) |  |  | `[inline]`

Definition at line 121 of file CoinModelUseful.hpp.

References CoinModelTriple::row.